SPI_CURSOR_MOVE(3)

NAME
SPI_cursor_move - move a cursor

SYNOPSIS

void SPI_cursor_move(Portal portal, bool forward, long count)

DESCRIPTION

SPI_cursor_move skips over some number of rows in a cursor. This is equivalent to a subset of the SQL command MOVE (see SPI_scroll_cursor_move for more functionality).

ARGUMENTS

Portal portal
    portal containing the cursor

bool forward
    true for move forward, false for move backward

long count
    maximum number of rows to move

NOTES

Moving backward may fail if the cursor's plan was not created with the CURSOR_OPT_SCROLL option.